Skip to main content

Run Research

Endpoint

POST /functions/v1/run-research

Purpose

Starts a full research workflow and returns a session_id immediately. Use Get Session Status to retrieve the final result.

Authentication

Required: Authorization: Bearer YOUR_ACCESS_TOKEN

Request headers

  • Authorization
  • Content-Type: application/json

Request body

Required fields

Common settings

Example request

Example response

Next step

Poll: GET /functions/v1/get-session-status?session_id=...

Possible errors

  • 400 Bad Request
  • 401 Unauthorized
  • 402 Payment Required
  • 500 Internal Error